aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCole Robinson <crobinso@redhat.com>2009-10-08 18:06:59 -0400
committerCole Robinson <crobinso@redhat.com>2009-10-16 10:21:46 -0400
commit39a7be470cc5477a96a4d53194291bf4c7b07185 (patch)
treeccd143aaa79b5202ffa914137341a0897ad52de7 /tests/storagevolschematest
parenttests: Fix text output for interface XML 2 XML (diff)
downloadlibvirt-39a7be470cc5477a96a4d53194291bf4c7b07185.tar.gz
libvirt-39a7be470cc5477a96a4d53194291bf4c7b07185.tar.bz2
libvirt-39a7be470cc5477a96a4d53194291bf4c7b07185.zip
tests: Break out duplicate schema verification functionality.
All schema tests have identical functionality, so avoid the duplication.
Diffstat (limited to 'tests/storagevolschematest')
-rwxr-xr-xtests/storagevolschematest30
1 files changed, 3 insertions, 27 deletions
diff --git a/tests/storagevolschematest b/tests/storagevolschematest
index 7865102a1..8b5559aae 100755
--- a/tests/storagevolschematest
+++ b/tests/storagevolschematest
@@ -1,33 +1,9 @@
#!/bin/sh
-test -z "$srcdir" && srcdir=`pwd`
-test -z "$abs_srcdir" && abs_srcdir=`pwd`
+source ./schematestutils.sh
DIRS="storagevolschemadata"
+SCHEMA="storagevol.rng"
-n=0
-f=0
-for dir in $DIRS
-do
- XML=`find $abs_srcdir/$dir -name '*.xml'` || exit 1
+check_schema "$DIRS" "$SCHEMA"
- for xml in $XML
- do
- n=`expr $n + 1`
- printf "%4d) %.60s " $n $(basename $(dirname $xml))"/"$(basename $xml)
- result=`xmllint --relaxng $srcdir/../docs/schemas/storagevol.rng --noout $xml 2>&1`
- ret=$?
- if test $ret = 0; then
- echo "OK"
- else
- echo "FAILED"
- echo $result
- f=`expr $f + 1`
- fi
- done
-done
-echo "Validated $n files, $f failed"
-
-ret=0
-test $f != 0 && ret=255
-exit $ret